Bug 1128490 - [abrt] krb5-auth-dialog: gtk_application_impl_window_added(): krb5-auth-dialog killed by SIGSEGV
Summary: [abrt] krb5-auth-dialog: gtk_application_impl_window_added(): krb5-auth-dialo...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bb8ae7baadeacedefa3d4c192d9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 19:36 UTC by Brian J. Murrell
Modified: 2015-06-29 22:00 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:00:50 UTC
cwawak: needinfo-


Attachments (Terms of Use)
File: backtrace (30.56 KB, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details
File: core_backtrace (8.01 KB, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details
File: dso_list (9.82 KB, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details
File: environ (1.95 KB, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details
File: maps (48.88 KB, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details
File: open_fds (990 bytes, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details
File: proc_pid_status (998 bytes, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details
File: var_log_messages (205 bytes, text/plain)
2014-08-10 19:36 UTC, Brian J. Murrell
no flags Details

Description Brian J. Murrell 2014-08-10 19:36:24 UTC
Version-Release number of selected component:
krb5-auth-dialog-3.2.1-7.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        krb5-auth-dialog --auto
crash_function: gtk_application_impl_window_added
executable:     /usr/bin/krb5-auth-dialog
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 gtk_application_impl_window_added at /lib64/libgtk-3.so.0
 #1 gtk_application_window_added at /lib64/libgtk-3.so.0
 #2 g_cclosure_marshal_VOID__OBJECTv at /lib64/libgobject-2.0.so.0
 #3 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #6 ka_applet_startup
 #7 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #10 g_application_register at /lib64/libgio-2.0.so.0
 #11 g_application_run at /lib64/libgio-2.0.so.0

Comment 1 Brian J. Murrell 2014-08-10 19:36:26 UTC
Created attachment 925570 [details]
File: backtrace

Comment 2 Brian J. Murrell 2014-08-10 19:36:27 UTC
Created attachment 925571 [details]
File: cgroup

Comment 3 Brian J. Murrell 2014-08-10 19:36:28 UTC
Created attachment 925572 [details]
File: core_backtrace

Comment 4 Brian J. Murrell 2014-08-10 19:36:29 UTC
Created attachment 925573 [details]
File: dso_list

Comment 5 Brian J. Murrell 2014-08-10 19:36:30 UTC
Created attachment 925574 [details]
File: environ

Comment 6 Brian J. Murrell 2014-08-10 19:36:30 UTC
Created attachment 925575 [details]
File: exploitable

Comment 7 Brian J. Murrell 2014-08-10 19:36:31 UTC
Created attachment 925576 [details]
File: limits

Comment 8 Brian J. Murrell 2014-08-10 19:36:32 UTC
Created attachment 925577 [details]
File: maps

Comment 9 Brian J. Murrell 2014-08-10 19:36:33 UTC
Created attachment 925578 [details]
File: open_fds

Comment 10 Brian J. Murrell 2014-08-10 19:36:34 UTC
Created attachment 925579 [details]
File: proc_pid_status

Comment 11 Brian J. Murrell 2014-08-10 19:36:35 UTC
Created attachment 925580 [details]
File: var_log_messages

Comment 12 Brian J. Murrell 2014-08-21 23:05:36 UTC
Still seeing this on up-to-date (as of right now) Fedora 20.

Comment 13 Ed Marshall 2014-09-15 17:18:25 UTC
Still popping up on up-to-date Fedora 20.

Comment 14 Christopher Wawak 2014-10-10 18:30:30 UTC
Just hit this today on up-to-date Fedora 20. Is there anything I can provide to help narrow down the issue?

Comment 15 Stephen Gallagher 2014-11-05 17:59:02 UTC
This doesn't violate any of the Final Criteria and is easily fixable post-release in an update.

I spoke with David Woodhouse (who proposed this as a blocker) and we agreed to rescind that request.

Comment 16 Brian J. Murrell 2014-12-11 12:58:38 UTC
Another user experienced a similar problem:

Logging into MATE desktop

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        krb5-auth-dialog --auto
crash_function: gtk_application_impl_window_added
executable:     /usr/bin/krb5-auth-dialog
kernel:         3.17.4-200.fc20.x86_64
package:        krb5-auth-dialog-3.2.1-7.fc20
reason:         krb5-auth-dialog killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 17 Fedora End Of Life 2015-05-29 12:36:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2015-06-29 22:00:50 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.